Summary: Check status of Mylex RAID controllers
Name: rdcheck
Version: 0.1
Release: 3
Source: rdcheck
Vendor: Sos Pter <sp@osb.hu>
License: GPL
Group: Applications/System
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Prefix: /usr
Requires: /bin/bash /bin/sed /bin/mail

%description
This script is periodically started by cron and check the status
of Mylex RAID controllers and mails to root if any error detected.

%prep
%setup -T -c
cp %{SOURCE0} .

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_sbindir}
install -m 755 %{name} %{buildroot}%{_sbindir}
mkdir -p %{buildroot}/etc/cron.hourly
ln -sf %{_sbindir}/%{name} %{buildroot}/etc/cron.hourly/%{name}

%clean
rm -rf %{buildroot}

%files
%defattr(0644, root, root, 0755)
%attr(0700, root, root) %{_sbindir}/%{name}
%config(missingok) /etc/cron.hourly/%{name}
